cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class DPR_O48

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.DPR_O48

-     public final class DPR_O48
      extends Message

  DPR_O48 - Donation Procedure (Event O48). This message contains information from the blood unit collection procedure from the donor.

  Represents a DPR_O48 message structure (see chapter 4.16.12). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: DONOR (a Group in DPR_O48 ) SINGLE_OPTIONAL
  4: DONATION_ORDER (a Group in DPR_O48 ) SINGLE_OPTIONAL
  5: DONATION (a Group in DPR_O48 ) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds the collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds the Software Segment(SFT) to this message.
    `IGroup` | `getDonationGroup()` Retrieves DONATION Group present in this message.
    `IGroup` | `getDonationOrderGroup()` Retrieves DONATION ORDER Group present in this message.
    `IGroup` | `getDonorGroup()` Retrieves DONOR Group present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setDonationGroup(IGroup objGroup)` Sets value of DONATION Group for this message,overwrites if already present.
    `void` | `setDonationOrderGroup(IGroup objGroup)` Sets value of DONATION ORDER Group for this message,overwrites if already present.
    `void` | `setDonorGroup(IGroup objGroup)` Sets value of DONOR Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds the Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds the collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getDonorGroup

          public IGroup getDonorGroup()

      Retrieves DONOR Group present in this message.
      Returns:
        Group - DONOR Group present in this message.

    - #### setDonorGroup

          public void setDonorGroup(IGroup objGroup)

      Sets value of DONOR Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified DONOR Group

    - #### getDonationOrderGroup

          public IGroup getDonationOrderGroup()

      Retrieves DONATION ORDER Group present in this message.
      Returns:
        Group - DONATION ORDER Group present in this message.

    - #### setDonationOrderGroup

          public void setDonationOrderGroup(IGroup objGroup)

      Sets value of DONATION ORDER Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified DONATION ORDER Group

    - #### getDonationGroup

          public IGroup getDonationGroup()

      Retrieves DONATION Group present in this message.
      Returns:
        Group - DONATION Group present in this message.

    - #### setDonationGroup

          public void setDonationGroup(IGroup objGroup)

      Sets value of DONATION Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified DONATION Group